Summary: Tools needed to create Texinfo format documentation files.
Name: texinfo
Version: 5.2
Release: 1
License: GPL
Group: Applications/Publishing
URL: http://www.gnu.org/software/texinfo/
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz.sig
Patch0: %{name}-%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prereq: /sbin/install-info, info
BuildRequires: gettext
Requires: gettext

%description
Texinfo is a documentation system that can produce both online
information and printed output from a single source file. The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you
are going to write documentation for the GNU Project.


%package -n info
Summary: A stand-alone TTY-based reader for GNU texinfo documentation.
Group: System Environment/Base
# By making info prereq bash, other packages which have triggers based on
# info don't run those triggers until bash is in place as well. This is an
# ugly method of doing it (triggers which fire on set intersection would
# be better), but it's the best we can do for now. Talk to Erik before
# removing this.
Prereq: bash 
BuildRequires: gettext
Requires: gettext

%description -n info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based
browser program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a
valuable source of information about the software on your system.


%prep
%setup -q
%patch0


%build
export CC=xlc_r
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}/etc
mkdir -p ${RPM_BUILD_ROOT}/sbin

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

cd ${RPM_BUILD_ROOT}

mkdir -p sbin
ln -sf ..%{_bindir}/install-info ./sbin

mkdir -p etc
cp ${RPM_BUILD_ROOT}%{_infodir}/dir ./etc/info-dir
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
chmod 0644 ./etc/info-dir
ln -sf /etc/info-dir ${RPM_BUILD_ROOT}%{_infodir}/dir

mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .
cd -
ln -sf ..%{_infodir} ./usr/info

mkdir -p etc/X11/applnk/Utilities
cat > ./etc/X11/applnk/Utilities/info.desktop <<EOF
[Desktop Entry]
Name=Info Viewer
Type=Application
Comment=GNU Info Page Reader
Exec=info
Terminal=true
EOF


%post
/sbin/install-info %{_infodir}/%{name}.gz %{_infodir}/dir || :


%post -n info
/sbin/install-info %{_infodir}/info-stnd.info.gz %{_infodir}/dir || :
echo "Please check that /etc/info-dir does exist."
echo "You might have to rename it from /etc/info-dir.rpmsave to /etc/info-dir."


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.gz %{_infodir}/dir || :
fi


%preun -n info
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/info-stnd.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%doc info/README
%{_bindir}/makeinfo
%{_bindir}/pdftexi2dvi
%{_bindir}/pod2texi
%{_bindir}/texi2any
%{_bindir}/texi2dvi
%{_bindir}/texi2pdf
%{_bindir}/texindex
%{_mandir}/man1/makeinfo.1
%{_mandir}/man1/pdftexi2dvi.1
%{_mandir}/man1/pod2texi.1
%{_mandir}/man1/texi2any.1
%{_mandir}/man1/texi2dvi.1
%{_mandir}/man1/texi2pdf.1
%{_mandir}/man1/texindex.1
%{_mandir}/man5/texinfo.5
%{_infodir}/texinfo*
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
/usr/bin/makeinfo
/usr/bin/pdftexi2dvi
/usr/bin/pod2texi
/usr/bin/texi2any
/usr/bin/texi2dvi
/usr/bin/texi2pdf
/usr/bin/texindex


%files -n info
%defattr(-,root,system)
%doc COPYING
%config(missingok) /etc/X11/applnk/Utilities/info.desktop
%config(noreplace) %verify(not md5 size mtime) %{_infodir}/dir
%{_bindir}/info
%{_bindir}/infokey
%{_bindir}/install-info
%{_mandir}/man1/info.1
%{_mandir}/man1/infokey.1
%{_mandir}/man1/install-info.1
%{_mandir}/man5/info.5
%{_infodir}/info.info*
%{_infodir}/info-stnd.info*
/usr/bin/info
/usr/bin/infokey
/sbin/install-info


%changelog
* Thu Dec 26 2013 Michael Perzl <michael@perzl.org> - 5.2-1
- updated to version 5.2

* Wed Dec 04 2013 Michael Perzl <michael@perzl.org> - 5.1-2
- added missing files

* Sat Apr 20 2013 Michael Perzl <michael@perzl.org> - 5.1-1
- updated to version 5.1

* Sat Mar 09 2013 Michael Perzl <michael@perzl.org> - 5.0-1
- updated to version 5.0

* Tue Jul 06 2010 Michael Perzl <michael@perzl.org> - 4.13a-2
- removed dependency on gettext >= 0.17

* Mon Mar 08 2010 Michael Perzl <michael@perzl.org> - 4.13a-1
- updated to version 4.13a

* Sat Aug 16 2008 Michael Perzl <michael@perzl.org> - 4.12-1
- first version for AIX V5.1 and higher
